POST api/badgereaderapi/add?siteId={siteId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
siteId

globally unique identifier

None.

Body Parameters

BadgeReaderViewModel
NameDescriptionTypeAdditional information
id

globally unique identifier

None.

name

string

String length: inclusive between 0 and 100

pc_id

globally unique identifier

None.

com_port

integer

None.

baudrate

integer

None.

direction

string

Required

String length: inclusive between 0 and 3

has_correspondence

boolean

Required

active

boolean

Required

badge_reader_type_id

globally unique identifier

None.

site_id

globally unique identifier

None.

parity

integer

Required

data_bits

integer

Required

stop_bits

integer

Required

handshake

integer

None.

Request Formats

application/json, text/json

Sample:
{
  "id": "f08c9e6f-9cc5-4635-923e-96311fbd32c6",
  "name": "sample string 2",
  "pc_id": "45ec10c6-763e-4e5c-bdbf-7b9f0e4c9b9d",
  "com_port": 1,
  "baudrate": 1,
  "direction": "sample string 3",
  "has_correspondence": true,
  "active": true,
  "badge_reader_type_id": "84058e30-c0e5-4746-b994-0b1d8e3d144c",
  "site_id": "d2dd9837-e4af-4594-b421-24712fdf746b",
  "parity": 6,
  "data_bits": 7,
  "stop_bits": 8,
  "handshake": 9
}

application/xml, text/xml

Sample:
<badgereader xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <badge_reader_type_id>84058e30-c0e5-4746-b994-0b1d8e3d144c</badge_reader_type_id>
  <baudrate>1</baudrate>
  <com_port>1</com_port>
  <data_bits>7</data_bits>
  <direction>sample string 3</direction>
  <handshake>9</handshake>
  <has_correspondence>true</has_correspondence>
  <id>f08c9e6f-9cc5-4635-923e-96311fbd32c6</id>
  <name>sample string 2</name>
  <parity>6</parity>
  <pc_id>45ec10c6-763e-4e5c-bdbf-7b9f0e4c9b9d</pc_id>
  <site_id>d2dd9837-e4af-4594-b421-24712fdf746b</site_id>
  <stop_bits>8</stop_bits>
</badgereader>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"f8f27357-030b-455c-89d1-6477529914b0"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">f8f27357-030b-455c-89d1-6477529914b0</guid>